Compartir a través de


Stac Collections - Get All

Obtener colecciones
Lista todas las colecciones en la instancia de GeoCatalog

GET https:///stac/collections?api-version=2025-04-30-preview
GET https:///stac/collections?api-version=2025-04-30-preview&sign={sign}&duration={duration}

Parámetros de identificador URI

Nombre En Requerido Tipo Description
api-version
query True

string

minLength: 1

Versión de API que se usará para esta operación.

duration
query

integer (int32)

Duración de la firma de URL en minutos.

sign
query

StacAssetUrlSigningMode

Si firmar URLs de activos en la respuesta.

Respuestas

Nombre Tipo Description
200 OK

StacCatalogCollections

La solicitud se ha realizado correctamente.

Other Status Codes

Azure.Core.Foundations.ErrorResponse

Una respuesta de error inesperada.

Encabezados

x-ms-error-code: string

Seguridad

OAuth2Auth

Tipo: oauth2
Flujo: implicit
Dirección URL de autorización: https://login.microsoftonline.com/common/oauth2/authorize

Ámbitos

Nombre Description
https://geocatalog.spatio.azure.com/.default

Ejemplos

StacCollections_GetAll

Solicitud de ejemplo

GET https:///stac/collections?api-version=2025-04-30-preview

Respuesta de muestra

{
  "collections": [
    {
      "id": "example-collection",
      "type": "Collection",
      "links": [
        {
          "rel": "items",
          "type": "application/geo+json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/example-collection/items"
        },
        {
          "rel": "parent",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "root",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "self",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/example-collection"
        }
      ],
      "title": "Example Collection",
      "extent": {
        "spatial": {
          "bbox": [
            [
              -180,
              -90,
              180,
              90
            ]
          ]
        },
        "temporal": {
          "interval": [
            [
              "2018-01-01T00:00:00Z",
              "2018-12-31T23:59:59Z"
            ]
          ]
        }
      },
      "license": "CC-BY-4.0",
      "description": "An example collection",
      "stac_version": "1.0.0",
      "msft:_created": "2025-03-11T19:54:50.067546Z",
      "msft:_updated": "2025-03-11T19:54:50.067546Z",
      "msft:short_description": "An example collection"
    },
    {
      "id": "example-collection1",
      "type": "Collection",
      "links": [
        {
          "rel": "items",
          "type": "application/geo+json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/example-collection1/items"
        },
        {
          "rel": "parent",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "root",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "self",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/example-collection1"
        }
      ],
      "title": "Example Collection",
      "extent": {
        "spatial": {
          "bbox": [
            [
              -180,
              -90,
              180,
              90
            ]
          ]
        },
        "temporal": {
          "interval": [
            [
              "2018-01-01T00:00:00Z",
              "2018-12-31T23:59:59Z"
            ]
          ]
        }
      },
      "license": "CC-BY-4.0",
      "description": "An example collection",
      "stac_version": "1.0.0",
      "msft:_created": "2025-04-22T00:30:03.363303Z",
      "msft:_updated": "2025-04-22T00:30:03.363303Z",
      "msft:short_description": "An example collection"
    },
    {
      "id": "naip-sample-datasets",
      "type": "Collection",
      "links": [
        {
          "rel": "items",
          "type": "application/geo+json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/naip-sample-datasets/items"
        },
        {
          "rel": "parent",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "root",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "self",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/naip-sample-datasets"
        }
      ],
      "title": "NAIP (MPC Pro Sample Datasets)",
      "assets": {
        "thumbnail": {
          "href": "https://SANITIZED.blob.core.windows.net/naip-sample-datasets-83498858/collection-assets/thumbnail/thumbnail.png",
          "type": "image/png",
          "roles": [
            "thumbnail"
          ],
          "title": "NAIP thumbnail"
        }
      },
      "extent": {
        "spatial": {
          "bbox": [
            [
              -124.784,
              24.744,
              -66.951,
              49.346
            ],
            [
              -156.003,
              19.059,
              -154.809,
              20.127
            ],
            [
              -67.316,
              17.871,
              -65.596,
              18.565
            ],
            [
              -64.94,
              17.622,
              -64.56,
              17.814
            ]
          ]
        },
        "temporal": {
          "interval": [
            [
              "2010-01-01T00:00:00Z",
              "2023-12-31T00:00:00Z"
            ]
          ]
        }
      },
      "license": "proprietary",
      "providers": [
        {
          "url": "https://www.fsa.usda.gov/programs-and-services/aerial-photography/imagery-programs/naip-imagery/",
          "name": "USDA Farm Service Agency",
          "roles": [
            "producer",
            "licensor"
          ]
        },
        {
          "url": "https://www.esri.com/",
          "name": "Esri",
          "roles": [
            "processor"
          ]
        },
        {
          "url": "https://planetarycomputer.microsoft.com",
          "name": "Microsoft",
          "roles": [
            "host",
            "processor"
          ]
        }
      ],
      "summaries": {
        "gsd": [
          0.3,
          0.6,
          1
        ],
        "eo:bands": [
          {
            "name": "Red",
            "common_name": "red",
            "description": "visible red"
          },
          {
            "name": "Green",
            "common_name": "green",
            "description": "visible green"
          },
          {
            "name": "Blue",
            "common_name": "blue",
            "description": "visible blue"
          },
          {
            "name": "NIR",
            "common_name": "nir",
            "description": "near-infrared"
          }
        ]
      },
      "description": "A Subset of NAIP imagery for sample MPC Pro GeoCatalog deployments. Includes multiple city and national park focus areas, useful for quick product evaluation. - Updated for testing",
      "item_assets": {
        "image": {
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data"
          ],
          "title": "RGBIR COG tile",
          "eo:bands": [
            {
              "name": "Red",
              "common_name": "red"
            },
            {
              "name": "Green",
              "common_name": "green"
            },
            {
              "name": "Blue",
              "common_name": "blue"
            },
            {
              "name": "NIR",
              "common_name": "nir",
              "description": "near-infrared"
            }
          ]
        },
        "metadata": {
          "type": "text/plain",
          "roles": [
            "metadata"
          ],
          "title": "FGDC Metdata"
        },
        "thumbnail": {
          "type": "image/jpeg",
          "roles": [
            "thumbnail"
          ],
          "title": "Thumbnail"
        }
      },
      "stac_version": "1.0.0",
      "msft:_created": "2025-10-21T15:04:08.5650952Z",
      "msft:_updated": "2025-10-21T15:04:31.568615Z",
      "stac_extensions": [
        "https://stac-extensions.github.io/item-assets/v1.0.0/schema.json",
        "https://stac-extensions.github.io/table/v1.2.0/schema.json"
      ]
    },
    {
      "id": "example-collection6",
      "type": "Collection",
      "links": [
        {
          "rel": "items",
          "type": "application/geo+json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/example-collection6/items"
        },
        {
          "rel": "parent",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "root",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "self",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/example-collection6"
        }
      ],
      "title": "Example Collection 88",
      "extent": {
        "spatial": {
          "bbox": [
            [
              -180,
              -90,
              180,
              90
            ]
          ]
        },
        "temporal": {
          "interval": [
            [
              "2018-01-01T00:00:00Z",
              "2018-12-31T23:59:59Z"
            ]
          ]
        }
      },
      "license": "CC-BY-4.0",
      "description": "An example collection",
      "stac_version": "1.0.0",
      "msft:_created": "2025-05-02T20:20:53.193385Z",
      "msft:_updated": "2025-09-30T17:04:12.0325676Z",
      "msft:short_description": "An example collection"
    },
    {
      "id": "impact-observatory",
      "type": "Collection",
      "links": [
        {
          "rel": "items",
          "type": "application/geo+json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/impact-observatory/items"
        },
        {
          "rel": "parent",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "root",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "self",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/impact-observatory"
        }
      ],
      "title": "impact-observatory",
      "extent": {
        "spatial": {
          "bbox": [
            [
              -180,
              -90,
              180,
              90
            ]
          ]
        },
        "temporal": {
          "interval": [
            [
              "2018-01-01T00:00:00Z",
              "2018-12-31T23:59:59Z"
            ]
          ]
        }
      },
      "license": "CC-BY-4.0",
      "description": "impact-observatory",
      "stac_version": "1.0.0",
      "msft:_created": "2025-05-21T11:34:25.100150Z",
      "msft:_updated": "2025-05-21T11:34:25.100150Z",
      "msft:short_description": "impact-observatory"
    },
    {
      "id": "tutorial-collection-20250527170217",
      "type": "Collection",
      "links": [
        {
          "rel": "items",
          "type": "application/geo+json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/tutorial-collection-20250527170217/items"
        },
        {
          "rel": "parent",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "root",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "self",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/tutorial-collection-20250527170217"
        }
      ],
      "title": "Tutorial Collection",
      "assets": {
        "thumbnail": {
          "href": "https://SANITIZED.blob.core.windows.net/tutorial-collection-20250527170217-34b2cde8/collection-assets/thumbnail/thumbnail.png",
          "type": "image/png",
          "roles": [
            "thumbnail"
          ],
          "title": "Sentinel-2 preview"
        }
      },
      "extent": {
        "spatial": {
          "bbox": [
            [
              -180,
              -90,
              180,
              90
            ]
          ]
        },
        "temporal": {
          "interval": [
            [
              "2020-01-01T00:00:00Z",
              null
            ]
          ]
        }
      },
      "license": "CC-BY-4.0",
      "description": "Tutorial collection for integration tests",
      "item_assets": {
        "GEC": {
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data"
          ],
          "title": "VV polarization",
          "description": "Gamma naught values corrected for terrain",
          "raster:bands": [
            {
              "nodata": -32768,
              "data_type": "uint8",
              "spatial_resolution": 0.477
            }
          ]
        }
      },
      "stac_version": "1.0.0",
      "msft:_created": "2025-05-27T21:02:48.9870711Z",
      "msft:_updated": "2025-05-27T21:51:00.527167Z"
    },
    {
      "id": "naip-atl-sample-dataset",
      "type": "Collection",
      "links": [
        {
          "rel": "items",
          "type": "application/geo+json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/naip-atl-sample-dataset/items"
        },
        {
          "rel": "parent",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "root",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "self",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/naip-atl-sample-dataset"
        }
      ],
      "title": "NAIP Atlanta (MPC Pro Sample Datasets)",
      "assets": {
        "thumbnail": {
          "href": "https://SANITIZED.blob.core.windows.net/naip-atl-sample-dataset-b943876c/collection-assets/thumbnail/thumbnail.png",
          "type": "image/png",
          "roles": [
            "thumbnail"
          ],
          "title": "NAIP thumbnail"
        }
      },
      "extent": {
        "spatial": {
          "bbox": [
            [
              -85.605165,
              30.357851,
              -80.839729,
              35.000659
            ]
          ]
        },
        "temporal": {
          "interval": [
            [
              "2010-01-01T00:00:00Z",
              "2023-12-31T00:00:00Z"
            ]
          ]
        }
      },
      "license": "proprietary",
      "providers": [
        {
          "url": "https://www.fsa.usda.gov/programs-and-services/aerial-photography/imagery-programs/naip-imagery/",
          "name": "USDA Farm Service Agency",
          "roles": [
            "producer",
            "licensor"
          ]
        },
        {
          "url": "https://www.esri.com/",
          "name": "Esri",
          "roles": [
            "processor"
          ]
        },
        {
          "url": "https://planetarycomputer.microsoft.com",
          "name": "Microsoft",
          "roles": [
            "host",
            "processor"
          ]
        }
      ],
      "summaries": {
        "gsd": [
          0.3,
          0.6,
          1
        ],
        "eo:bands": [
          {
            "name": "Red",
            "common_name": "red",
            "description": "visible red"
          },
          {
            "name": "Green",
            "common_name": "green",
            "description": "visible green"
          },
          {
            "name": "Blue",
            "common_name": "blue",
            "description": "visible blue"
          },
          {
            "name": "NIR",
            "common_name": "nir",
            "description": "near-infrared"
          }
        ]
      },
      "description": "A Subset of NAIP imagery for sample MPC Pro GeoCatalog deployments. Includes multiple city and national park focus areas, useful for quick product evaluation. - Updated for testing",
      "item_assets": {
        "image": {
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data"
          ],
          "title": "RGBIR COG tile",
          "eo:bands": [
            {
              "name": "Red",
              "common_name": "red"
            },
            {
              "name": "Green",
              "common_name": "green"
            },
            {
              "name": "Blue",
              "common_name": "blue"
            },
            {
              "name": "NIR",
              "common_name": "nir",
              "description": "near-infrared"
            }
          ]
        },
        "metadata": {
          "type": "text/plain",
          "roles": [
            "metadata"
          ],
          "title": "FGDC Metdata"
        },
        "thumbnail": {
          "type": "image/jpeg",
          "roles": [
            "thumbnail"
          ],
          "title": "Thumbnail"
        }
      },
      "stac_version": "1.0.0",
      "msft:_created": "2025-10-21T19:00:05.1295233Z",
      "msft:_updated": "2025-10-21T19:00:36.824837Z",
      "stac_extensions": [
        "https://stac-extensions.github.io/item-assets/v1.0.0/schema.json",
        "https://stac-extensions.github.io/table/v1.2.0/schema.json"
      ]
    },
    {
      "id": "sentinel-2-l2a-tutorial-372",
      "type": "Collection",
      "links": [
        {
          "rel": "items",
          "type": "application/geo+json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/sentinel-2-l2a-tutorial-372/items"
        },
        {
          "rel": "parent",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "root",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "self",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/sentinel-2-l2a-tutorial-372"
        }
      ],
      "title": "sentinel-2-l2a-tutorial-372",
      "assets": {
        "thumbnail": {
          "href": "https://SANITIZED.blob.core.windows.net/sentinel-2-l2a-tutorial-372-f4d2f1d8/collection-assets/thumbnail/thumbnail.png",
          "type": "image/png",
          "roles": [
            "thumbnail"
          ],
          "title": "Sentinel-2 preview"
        }
      },
      "extent": {
        "spatial": {
          "bbox": [
            [
              -180,
              -90,
              180,
              90
            ]
          ]
        },
        "temporal": {
          "interval": [
            [
              "2015-06-27T10:25:31Z",
              null
            ]
          ]
        }
      },
      "license": "proprietary",
      "keywords": [
        "Sentinel",
        "Copernicus",
        "ESA",
        "Satellite",
        "Global",
        "Imagery",
        "Reflectance"
      ],
      "providers": [
        {
          "url": "https://sentinel.esa.int/web/sentinel/missions/sentinel-2",
          "name": "ESA",
          "roles": [
            "producer",
            "licensor"
          ]
        },
        {
          "url": "https://www.esri.com/",
          "name": "Esri",
          "roles": [
            "processor"
          ]
        },
        {
          "url": "https://planetarycomputer.microsoft.com",
          "name": "Microsoft",
          "roles": [
            "host",
            "processor"
          ]
        }
      ],
      "summaries": {
        "gsd": [
          10,
          20,
          60
        ],
        "eo:bands": [
          {
            "name": "AOT",
            "description": "aerosol optical thickness"
          },
          {
            "gsd": 60,
            "name": "B01",
            "common_name": "coastal",
            "description": "coastal aerosol",
            "center_wavelength": 0.443,
            "full_width_half_max": 0.027
          },
          {
            "gsd": 10,
            "name": "B02",
            "common_name": "blue",
            "description": "visible blue",
            "center_wavelength": 0.49,
            "full_width_half_max": 0.098
          },
          {
            "gsd": 10,
            "name": "B03",
            "common_name": "green",
            "description": "visible green",
            "center_wavelength": 0.56,
            "full_width_half_max": 0.045
          },
          {
            "gsd": 10,
            "name": "B04",
            "common_name": "red",
            "description": "visible red",
            "center_wavelength": 0.665,
            "full_width_half_max": 0.038
          },
          {
            "gsd": 20,
            "name": "B05",
            "common_name": "rededge",
            "description": "vegetation classification red edge",
            "center_wavelength": 0.704,
            "full_width_half_max": 0.019
          },
          {
            "gsd": 20,
            "name": "B06",
            "common_name": "rededge",
            "description": "vegetation classification red edge",
            "center_wavelength": 0.74,
            "full_width_half_max": 0.018
          },
          {
            "gsd": 20,
            "name": "B07",
            "common_name": "rededge",
            "description": "vegetation classification red edge",
            "center_wavelength": 0.783,
            "full_width_half_max": 0.028
          },
          {
            "gsd": 10,
            "name": "B08",
            "common_name": "nir",
            "description": "near infrared",
            "center_wavelength": 0.842,
            "full_width_half_max": 0.145
          },
          {
            "gsd": 20,
            "name": "B8A",
            "common_name": "rededge",
            "description": "vegetation classification red edge",
            "center_wavelength": 0.865,
            "full_width_half_max": 0.033
          },
          {
            "gsd": 60,
            "name": "B09",
            "description": "water vapor",
            "center_wavelength": 0.945,
            "full_width_half_max": 0.026
          },
          {
            "gsd": 20,
            "name": "B11",
            "common_name": "swir16",
            "description": "short-wave infrared, snow/ice/cloud classification",
            "center_wavelength": 1.61,
            "full_width_half_max": 0.143
          },
          {
            "gsd": 20,
            "name": "B12",
            "common_name": "swir22",
            "description": "short-wave infrared, snow/ice/cloud classification",
            "center_wavelength": 2.19,
            "full_width_half_max": 0.242
          }
        ],
        "platform": [
          "Sentinel-2A",
          "Sentinel-2B"
        ],
        "instruments": [
          "msi"
        ],
        "constellation": [
          "sentinel-2"
        ],
        "view:off_nadir": [
          0
        ]
      },
      "description": "The [Sentinel-2](https://sentinel.esa.int/web/sentinel/missions/sentinel-2) program provides global imagery in thirteen spectral bands at 10m-60m resolution and a revisit time of approximately five days.  This dataset represents the global Sentinel-2 archive, from 2016 to the present, processed to L2A (bottom-of-atmosphere) using [Sen2Cor](https://step.esa.int/main/snap-supported-plugins/sen2cor/) and converted to [cloud-optimized GeoTIFF](https://www.cogeo.org/) format.",
      "item_assets": {
        "AOT": {
          "gsd": 10,
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data"
          ],
          "title": "Aerosol optical thickness (AOT)"
        },
        "B01": {
          "gsd": 60,
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data"
          ],
          "title": "Band 1 - Coastal aerosol - 60m",
          "eo:bands": [
            {
              "name": "B01",
              "common_name": "coastal",
              "description": "Band 1 - Coastal aerosol",
              "center_wavelength": 0.443,
              "full_width_half_max": 0.027
            }
          ]
        },
        "B02": {
          "gsd": 10,
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data"
          ],
          "title": "Band 2 - Blue - 10m",
          "eo:bands": [
            {
              "name": "B02",
              "common_name": "blue",
              "description": "Band 2 - Blue",
              "center_wavelength": 0.49,
              "full_width_half_max": 0.098
            }
          ]
        },
        "B03": {
          "gsd": 10,
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data"
          ],
          "title": "Band 3 - Green - 10m",
          "eo:bands": [
            {
              "name": "B03",
              "common_name": "green",
              "description": "Band 3 - Green",
              "center_wavelength": 0.56,
              "full_width_half_max": 0.045
            }
          ]
        },
        "B04": {
          "gsd": 10,
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data"
          ],
          "title": "Band 4 - Red - 10m",
          "eo:bands": [
            {
              "name": "B04",
              "common_name": "red",
              "description": "Band 4 - Red",
              "center_wavelength": 0.665,
              "full_width_half_max": 0.038
            }
          ]
        },
        "B05": {
          "gsd": 20,
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data"
          ],
          "title": "Band 5 - Vegetation red edge 1 - 20m",
          "eo:bands": [
            {
              "name": "B05",
              "common_name": "rededge",
              "description": "Band 5 - Vegetation red edge 1",
              "center_wavelength": 0.704,
              "full_width_half_max": 0.019
            }
          ]
        },
        "B06": {
          "gsd": 20,
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data"
          ],
          "title": "Band 6 - Vegetation red edge 2 - 20m",
          "eo:bands": [
            {
              "name": "B06",
              "common_name": "rededge",
              "description": "Band 6 - Vegetation red edge 2",
              "center_wavelength": 0.74,
              "full_width_half_max": 0.018
            }
          ]
        },
        "B07": {
          "gsd": 20,
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data"
          ],
          "title": "Band 7 - Vegetation red edge 3 - 20m",
          "eo:bands": [
            {
              "name": "B07",
              "common_name": "rededge",
              "description": "Band 7 - Vegetation red edge 3",
              "center_wavelength": 0.783,
              "full_width_half_max": 0.028
            }
          ]
        },
        "B08": {
          "gsd": 10,
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data"
          ],
          "title": "Band 8 - NIR - 10m",
          "eo:bands": [
            {
              "name": "B08",
              "common_name": "nir",
              "description": "Band 8 - NIR",
              "center_wavelength": 0.842,
              "full_width_half_max": 0.145
            }
          ]
        },
        "B09": {
          "gsd": 60,
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data"
          ],
          "title": "Band 9 - Water vapor - 60m",
          "eo:bands": [
            {
              "name": "B09",
              "description": "Band 9 - Water vapor",
              "center_wavelength": 0.945,
              "full_width_half_max": 0.026
            }
          ]
        },
        "B11": {
          "gsd": 20,
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data"
          ],
          "title": "Band 11 - SWIR (1.6) - 20m",
          "eo:bands": [
            {
              "name": "B11",
              "common_name": "swir16",
              "description": "Band 11 - SWIR (1.6)",
              "center_wavelength": 1.61,
              "full_width_half_max": 0.143
            }
          ]
        },
        "B12": {
          "gsd": 20,
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data"
          ],
          "title": "Band 12 - SWIR (2.2) - 20m",
          "eo:bands": [
            {
              "name": "B12",
              "common_name": "swir22",
              "description": "Band 12 - SWIR (2.2)",
              "center_wavelength": 2.19,
              "full_width_half_max": 0.242
            }
          ]
        },
        "B8A": {
          "gsd": 20,
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data"
          ],
          "title": "Band 8A - Vegetation red edge 4 - 20m",
          "eo:bands": [
            {
              "name": "B8A",
              "common_name": "rededge",
              "description": "Band 8A - Vegetation red edge 4",
              "center_wavelength": 0.865,
              "full_width_half_max": 0.033
            }
          ]
        },
        "SCL": {
          "gsd": 20,
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data"
          ],
          "title": "Scene classfication map (SCL)"
        },
        "WVP": {
          "gsd": 10,
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data"
          ],
          "title": "Water vapour (WVP)"
        },
        "visual": {
          "gsd": 10,
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data"
          ],
          "title": "True color image",
          "eo:bands": [
            {
              "name": "B04",
              "common_name": "red",
              "description": "Band 4 - Red",
              "center_wavelength": 0.665,
              "full_width_half_max": 0.038
            },
            {
              "name": "B03",
              "common_name": "green",
              "description": "Band 3 - Green",
              "center_wavelength": 0.56,
              "full_width_half_max": 0.045
            },
            {
              "name": "B02",
              "common_name": "blue",
              "description": "Band 2 - Blue",
              "center_wavelength": 0.49,
              "full_width_half_max": 0.098
            }
          ]
        },
        "preview": {
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "thumbnail"
          ],
          "title": "Thumbnail"
        },
        "safe-manifest": {
          "type": "application/xml",
          "roles": [
            "metadata"
          ],
          "title": "SAFE manifest"
        },
        "granule-metadata": {
          "type": "application/xml",
          "roles": [
            "metadata"
          ],
          "title": "Granule metadata"
        },
        "inspire-metadata": {
          "type": "application/xml",
          "roles": [
            "metadata"
          ],
          "title": "INSPIRE metadata"
        },
        "product-metadata": {
          "type": "application/xml",
          "roles": [
            "metadata"
          ],
          "title": "Product metadata"
        },
        "datastrip-metadata": {
          "type": "application/xml",
          "roles": [
            "metadata"
          ],
          "title": "Datastrip metadata"
        }
      },
      "msft:region": "westeurope",
      "stac_version": "1.0.0",
      "msft:_created": "2025-05-30T13:51:04.7570215Z",
      "msft:_updated": "2025-05-30T14:11:36.334817Z",
      "stac_extensions": [
        "https://stac-extensions.github.io/item-assets/v1.0.0/schema.json",
        "https://stac-extensions.github.io/table/v1.2.0/schema.json"
      ],
      "msft:short_description": "The Sentinel-2 program provides global imagery in thirteen spectral bands at 10m-60m resolution and a revisit time of approximately five days.  This dataset contains the global Sentinel-2 archive, from 2016 to the present, processed to L2A (bottom-of-atmosphere)."
    },
    {
      "id": "naip-sample-dataset-1.0.0",
      "type": "Collection",
      "links": [
        {
          "rel": "items",
          "type": "application/geo+json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/naip-sample-dataset-1.0.0/items"
        },
        {
          "rel": "parent",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "root",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "self",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/naip-sample-dataset-1.0.0"
        }
      ],
      "title": "NAIP Atlanta (MPC Pro Sample Datasets)",
      "assets": {
        "thumbnail": {
          "href": "https://SANITIZED.blob.core.windows.net/naip-sample-dataset-100-a161ce8d/collection-assets/thumbnail/thumbnail.png",
          "type": "image/png",
          "roles": [
            "thumbnail"
          ],
          "title": "NAIP thumbnail"
        }
      },
      "extent": {
        "spatial": {
          "bbox": [
            [
              -85.605165,
              30.357851,
              -80.839729,
              35.000659
            ]
          ]
        },
        "temporal": {
          "interval": [
            [
              "2010-01-01T00:00:00Z",
              "2023-12-31T00:00:00Z"
            ]
          ]
        }
      },
      "license": "proprietary",
      "providers": [
        {
          "url": "https://www.fsa.usda.gov/programs-and-services/aerial-photography/imagery-programs/naip-imagery/",
          "name": "USDA Farm Service Agency",
          "roles": [
            "producer",
            "licensor"
          ]
        },
        {
          "url": "https://www.esri.com/",
          "name": "Esri",
          "roles": [
            "processor"
          ]
        },
        {
          "url": "https://planetarycomputer.microsoft.com",
          "name": "Microsoft",
          "roles": [
            "host",
            "processor"
          ]
        }
      ],
      "summaries": {
        "gsd": [
          0.3,
          0.6,
          1
        ],
        "eo:bands": [
          {
            "name": "Red",
            "common_name": "red",
            "description": "visible red"
          },
          {
            "name": "Green",
            "common_name": "green",
            "description": "visible green"
          },
          {
            "name": "Blue",
            "common_name": "blue",
            "description": "visible blue"
          },
          {
            "name": "NIR",
            "common_name": "nir",
            "description": "near-infrared"
          }
        ]
      },
      "description": "A Subset of NAIP imagery for sample MPC Pro GeoCatalog deployments. Includes multiple city and national park focus areas, useful for quick product evaluation. - Updated for testing",
      "item_assets": {
        "image": {
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data"
          ],
          "title": "RGBIR COG tile",
          "eo:bands": [
            {
              "name": "Red",
              "common_name": "red"
            },
            {
              "name": "Green",
              "common_name": "green"
            },
            {
              "name": "Blue",
              "common_name": "blue"
            },
            {
              "name": "NIR",
              "common_name": "nir",
              "description": "near-infrared"
            }
          ]
        },
        "metadata": {
          "type": "text/plain",
          "roles": [
            "metadata"
          ],
          "title": "FGDC Metdata"
        },
        "thumbnail": {
          "type": "image/jpeg",
          "roles": [
            "thumbnail"
          ],
          "title": "Thumbnail"
        }
      },
      "stac_version": "1.0.0",
      "msft:_created": "2025-10-22T10:07:50.9807438Z",
      "msft:_updated": "2025-10-22T10:08:20.129540Z",
      "stac_extensions": [
        "https://stac-extensions.github.io/item-assets/v1.0.0/schema.json",
        "https://stac-extensions.github.io/table/v1.2.0/schema.json"
      ]
    },
    {
      "id": "maxar-sample-dataset",
      "type": "Collection",
      "links": [
        {
          "rel": "items",
          "type": "application/geo+json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/maxar-sample-dataset/items"
        },
        {
          "rel": "parent",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "root",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "self",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/maxar-sample-dataset"
        }
      ],
      "title": "NAIP Atlanta (MPC Pro Sample Datasets)",
      "assets": {
        "thumbnail": {
          "href": "https://SANITIZED.blob.core.windows.net/maxar-sample-dataset-e4eaa3d3/collection-assets/thumbnail/thumbnail.png",
          "type": "image/png",
          "roles": [
            "thumbnail"
          ],
          "title": "NAIP thumbnail"
        }
      },
      "extent": {
        "spatial": {
          "bbox": [
            [
              -85.605165,
              30.357851,
              -80.839729,
              35.000659
            ]
          ]
        },
        "temporal": {
          "interval": [
            [
              "2010-01-01T00:00:00Z",
              "2023-12-31T00:00:00Z"
            ]
          ]
        }
      },
      "license": "proprietary",
      "providers": [
        {
          "url": "https://www.fsa.usda.gov/programs-and-services/aerial-photography/imagery-programs/naip-imagery/",
          "name": "USDA Farm Service Agency",
          "roles": [
            "producer",
            "licensor"
          ]
        },
        {
          "url": "https://www.esri.com/",
          "name": "Esri",
          "roles": [
            "processor"
          ]
        },
        {
          "url": "https://planetarycomputer.microsoft.com",
          "name": "Microsoft",
          "roles": [
            "host",
            "processor"
          ]
        }
      ],
      "summaries": {
        "gsd": [
          0.3,
          0.6,
          1
        ],
        "eo:bands": [
          {
            "name": "Red",
            "common_name": "red",
            "description": "visible red"
          },
          {
            "name": "Green",
            "common_name": "green",
            "description": "visible green"
          },
          {
            "name": "Blue",
            "common_name": "blue",
            "description": "visible blue"
          },
          {
            "name": "NIR",
            "common_name": "nir",
            "description": "near-infrared"
          }
        ]
      },
      "description": "A Subset of NAIP imagery for sample MPC Pro GeoCatalog deployments. Includes multiple city and national park focus areas, useful for quick product evaluation. - Updated for testing",
      "item_assets": {
        "image": {
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data"
          ],
          "title": "RGBIR COG tile",
          "eo:bands": [
            {
              "name": "Red",
              "common_name": "red"
            },
            {
              "name": "Green",
              "common_name": "green"
            },
            {
              "name": "Blue",
              "common_name": "blue"
            },
            {
              "name": "NIR",
              "common_name": "nir",
              "description": "near-infrared"
            }
          ]
        },
        "metadata": {
          "type": "text/plain",
          "roles": [
            "metadata"
          ],
          "title": "FGDC Metdata"
        },
        "thumbnail": {
          "type": "image/jpeg",
          "roles": [
            "thumbnail"
          ],
          "title": "Thumbnail"
        }
      },
      "stac_version": "1.0.0",
      "msft:_created": "2025-10-22T10:55:52.4798017Z",
      "msft:_updated": "2025-10-22T10:56:19.726063Z",
      "stac_extensions": [
        "https://stac-extensions.github.io/item-assets/v1.0.0/schema.json",
        "https://stac-extensions.github.io/table/v1.2.0/schema.json"
      ]
    },
    {
      "id": "naip-atl",
      "type": "Collection",
      "links": [
        {
          "rel": "items",
          "type": "application/geo+json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/naip-atl/items"
        },
        {
          "rel": "parent",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "root",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "self",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/naip-atl"
        }
      ],
      "title": "NAIP Atlanta (MPC Pro Sample Datasets)",
      "assets": {
        "thumbnail": {
          "href": "https://SANITIZED.blob.core.windows.net/naip-atl-bde3e846/collection-assets/thumbnail/thumbnail.png",
          "type": "image/png",
          "roles": [
            "thumbnail"
          ],
          "title": "NAIP thumbnail"
        },
        "test-asset": {
          "href": "https://SANITIZED.blob.core.windows.net/naip-atl-bde3e846/collection-assets/test-asset/test-asset.txt",
          "type": "text/plain",
          "roles": [
            "metadata"
          ],
          "title": "Test Asset - Updated"
        }
      },
      "extent": {
        "spatial": {
          "bbox": [
            [
              -85.605165,
              30.357851,
              -80.839729,
              35.000659
            ]
          ]
        },
        "temporal": {
          "interval": [
            [
              "2010-01-01T00:00:00Z",
              "2023-12-31T00:00:00Z"
            ]
          ]
        }
      },
      "license": "proprietary",
      "providers": [
        {
          "url": "https://www.fsa.usda.gov/programs-and-services/aerial-photography/imagery-programs/naip-imagery/",
          "name": "USDA Farm Service Agency",
          "roles": [
            "producer",
            "licensor"
          ]
        },
        {
          "url": "https://www.esri.com/",
          "name": "Esri",
          "roles": [
            "processor"
          ]
        },
        {
          "url": "https://planetarycomputer.microsoft.com",
          "name": "Microsoft",
          "roles": [
            "host",
            "processor"
          ]
        }
      ],
      "summaries": {
        "gsd": [
          0.3,
          0.6,
          1
        ],
        "eo:bands": [
          {
            "name": "Red",
            "common_name": "red",
            "description": "visible red"
          },
          {
            "name": "Green",
            "common_name": "green",
            "description": "visible green"
          },
          {
            "name": "Blue",
            "common_name": "blue",
            "description": "visible blue"
          },
          {
            "name": "NIR",
            "common_name": "nir",
            "description": "near-infrared"
          }
        ]
      },
      "description": "A Subset of NAIP imagery for sample MPC Pro GeoCatalog deployments. Includes multiple city and national park focus areas, useful for quick product evaluation. - Updated for testing",
      "item_assets": {
        "image": {
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data"
          ],
          "title": "RGBIR COG tile",
          "eo:bands": [
            {
              "name": "Red",
              "common_name": "red"
            },
            {
              "name": "Green",
              "common_name": "green"
            },
            {
              "name": "Blue",
              "common_name": "blue"
            },
            {
              "name": "NIR",
              "common_name": "nir",
              "description": "near-infrared"
            }
          ]
        },
        "metadata": {
          "type": "text/plain",
          "roles": [
            "metadata"
          ],
          "title": "FGDC Metdata"
        },
        "thumbnail": {
          "type": "image/jpeg",
          "roles": [
            "thumbnail"
          ],
          "title": "Thumbnail"
        }
      },
      "stac_version": "1.0.0",
      "msft:_created": "2025-10-22T11:14:31.811918Z",
      "msft:_updated": "2025-10-28T18:00:29.154669Z",
      "stac_extensions": [
        "https://stac-extensions.github.io/item-assets/v1.0.0/schema.json",
        "https://stac-extensions.github.io/table/v1.2.0/schema.json"
      ]
    },
    {
      "id": "python-sdk-sentinel-3",
      "type": "Collection",
      "links": [
        {
          "rel": "items",
          "type": "application/geo+json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/python-sdk-sentinel-3/items"
        },
        {
          "rel": "parent",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "root",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "self",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/python-sdk-sentinel-3"
        }
      ],
      "title": "Collection python-sdk-sentinel-3",
      "assets": {
        "thumbnail": {
          "href": "https://SANITIZED.blob.core.windows.net/python-sdk-sentinel-3-f616ab54/collection-assets/thumbnail/thumbnail.png",
          "type": "image/png",
          "roles": [
            "thumbnail"
          ],
          "title": "Sentinel-2 preview"
        }
      },
      "extent": {
        "spatial": {
          "bbox": [
            [
              -180,
              -90,
              180,
              90
            ]
          ]
        },
        "temporal": {
          "interval": [
            [
              "2015-06-27T10:25:31Z",
              null
            ]
          ]
        }
      },
      "license": "CC-BY-4.0",
      "description": "Python SDK Sentinel-2 Collection - Updated for testing",
      "item_assets": {
        "red_20m": {
          "gsd": 20,
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data",
            "reflectance"
          ],
          "title": "Red (band 4) - 20m",
          "eo:bands": [
            {
              "name": "red",
              "common_name": "red",
              "description": "Red (band 4)",
              "center_wavelength": 0.665,
              "full_width_half_max": 0.038
            }
          ]
        },
        "blue_20m": {
          "gsd": 20,
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data",
            "reflectance"
          ],
          "title": "Blue (band 2) - 20m",
          "eo:bands": [
            {
              "name": "blue",
              "common_name": "blue",
              "description": "Blue (band 2)",
              "center_wavelength": 0.49,
              "full_width_half_max": 0.098
            }
          ]
        },
        "green_20m": {
          "gsd": 20,
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data",
            "reflectance"
          ],
          "title": "Green (band 3) - 20m",
          "eo:bands": [
            {
              "name": "green",
              "common_name": "green",
              "description": "Green (band 3)",
              "center_wavelength": 0.56,
              "full_width_half_max": 0.045
            }
          ]
        }
      },
      "stac_version": "1.0.0",
      "msft:_created": "2025-10-15T21:13:49.6626675Z",
      "msft:_updated": "2025-10-15T22:13:03.410106Z"
    },
    {
      "id": "python-sdk-sentinel-2",
      "type": "Collection",
      "links": [
        {
          "rel": "items",
          "type": "application/geo+json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/python-sdk-sentinel-2/items"
        },
        {
          "rel": "parent",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "root",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "self",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/python-sdk-sentinel-2"
        }
      ],
      "title": "Collection python-sdk-sentinel-2",
      "extent": {
        "spatial": {
          "bbox": [
            [
              -180,
              -90,
              180,
              90
            ]
          ]
        },
        "temporal": {
          "interval": [
            [
              "2015-06-27T10:25:31Z",
              null
            ]
          ]
        }
      },
      "license": "CC-BY-4.0",
      "description": "Python SDK Sentinel-2 Collection",
      "item_assets": {
        "red_20m": {
          "gsd": 20,
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data",
            "reflectance"
          ],
          "title": "Red (band 4) - 20m",
          "eo:bands": [
            {
              "name": "red",
              "common_name": "red",
              "description": "Red (band 4)",
              "center_wavelength": 0.665,
              "full_width_half_max": 0.038
            }
          ]
        },
        "blue_20m": {
          "gsd": 20,
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data",
            "reflectance"
          ],
          "title": "Blue (band 2) - 20m",
          "eo:bands": [
            {
              "name": "blue",
              "common_name": "blue",
              "description": "Blue (band 2)",
              "center_wavelength": 0.49,
              "full_width_half_max": 0.098
            }
          ]
        },
        "green_20m": {
          "gsd": 20,
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data",
            "reflectance"
          ],
          "title": "Green (band 3) - 20m",
          "eo:bands": [
            {
              "name": "green",
              "common_name": "green",
              "description": "Green (band 3)",
              "center_wavelength": 0.56,
              "full_width_half_max": 0.045
            }
          ]
        }
      },
      "stac_version": "1.0.0",
      "msft:_created": "2025-10-17T10:28:41.5639703Z",
      "msft:_updated": "2025-10-17T10:28:41.5639703Z"
    }
  ],
  "links": [
    {
      "rel": "root",
      "type": "application/json",
      "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
    },
    {
      "rel": "parent",
      "type": "application/json",
      "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
    },
    {
      "rel": "self",
      "type": "application/json",
      "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections"
    }
  ]
}

Definiciones

Nombre Description
Azure.Core.Foundations.Error

Objeto de error.

Azure.Core.Foundations.ErrorResponse

Respuesta que contiene los detalles del error.

Azure.Core.Foundations.InnerError

Objeto que contiene información más específica sobre el error. Según las directrices de la API de REST de Azure: https://aka.ms/AzureRestApiGuidelines#handling-errors.

StacAsset

https://github.com/radiantearth/stac-spec/blob/v1.0.0/item-spec/item-spec.md#asset-object

Representa un activo STAC, que es un archivo o recurso asociado a un elemento STAC.

StacAssetUrlSigningMode

Representa el tipo de firma para las URLs de los recursos.

StacCatalogCollections

http://docs.opengeospatial.org/is/17-069r3/17-069r3.html#_feature_collections_rootcollections

Representa una colección de colecciones STAC con enlaces.

StacCollection

https://github.com/radiantearth/stac-spec/blob/v1.0.0/collection-spec/collection-spec.md

Representa una colección STAC.

StacCollectionTemporalExtent

https://github.com/radiantearth/stac-spec/blob/v1.0.0/collection-spec/collection-spec.md#temporal-extent-object

Representa la extensión temporal de una colección STAC con intervalos de tiempo.

StacExtensionExtent

https://github.com/radiantearth/stac-spec/blob/v1.0.0/collection-spec/collection-spec.md#extent-object

Representa la extensión espacial y temporal de una colección STAC.

StacExtensionSpatialExtent

https://github.com/radiantearth/stac-spec/blob/v1.0.0/collection-spec/collection-spec.md#spatial-extent-object

Representa la extensión espacial de una colección STAC con cajas delimitadoras.

StacItemAsset

https://github.com/stac-extensions/item-assets

Representa un activo de artículo STAC, que describe los activos disponibles bajo cualquier elemento de la colección.

StacLink

Modelo de enlace.

Ref: http://schemas.opengis.net/ogcapi/features/part1/1.0/openapi/schemas/link.yaml

Representa un vínculo.

StacLinkType

Tipos MIME para enlaces.

StacProvider

https://github.com/radiantearth/stac-spec/blob/v1.0.0/collection-spec/collection-spec.md#provider-object

Representa información sobre un proveedor de datos para colecciones y elementos STAC.

Azure.Core.Foundations.Error

Objeto de error.

Nombre Tipo Description
code

string

Uno de un conjunto definido por el servidor de códigos de error.

details

Azure.Core.Foundations.Error[]

Matriz de detalles sobre errores específicos que llevaron a este error notificado.

innererror

Azure.Core.Foundations.InnerError

Objeto que contiene información más específica que el objeto actual sobre el error.

message

string

Representación legible del error.

target

string

Destino del error.

Azure.Core.Foundations.ErrorResponse

Respuesta que contiene los detalles del error.

Nombre Tipo Description
error

Azure.Core.Foundations.Error

Objeto de error.

Azure.Core.Foundations.InnerError

Objeto que contiene información más específica sobre el error. Según las directrices de la API de REST de Azure: https://aka.ms/AzureRestApiGuidelines#handling-errors.

Nombre Tipo Description
code

string

Uno de un conjunto definido por el servidor de códigos de error.

innererror

Azure.Core.Foundations.InnerError

Error interno.

StacAsset

https://github.com/radiantearth/stac-spec/blob/v1.0.0/item-spec/item-spec.md#asset-object

Representa un activo STAC, que es un archivo o recurso asociado a un elemento STAC.

Nombre Tipo Description
constellation

string

Constelación de satélites que adquirieron los datos.

created

string (date-time)

Marca de tiempo de creación de los datos.

description

string

Descripción detallada del activo.

gsd

number (float)

Distancia de muestreo en el suelo en metros.

href

string

minLength: 1

URL del archivo de activos.

instruments

string[]

Instrumentos que adquirieron los datos.

mission

string

Misión asociada a los datos.

platform

string

Plataforma que adquirió los datos.

providers

StacProvider[]

Organizaciones o individuos que proporcionan los datos.

roles

string[]

Roles del activo dentro del objeto.

title

string

Título legible para humanos para el activo.

type

string

Tipo de medios del activo.

updated

string (date-time)

Última actualización y marca de tiempo de los datos.

StacAssetUrlSigningMode

Representa el tipo de firma para las URLs de los recursos.

Valor Description
true

Firma URLs de activos en la respuesta.

false

No firmes URLs de activos en la respuesta.

StacCatalogCollections

http://docs.opengeospatial.org/is/17-069r3/17-069r3.html#_feature_collections_rootcollections

Representa una colección de colecciones STAC con enlaces.

Nombre Tipo Description
collections

StacCollection[]

Variedad de colecciones STAC disponibles en el catálogo.

links

StacLink[]

Enlaces a recursos y puntos finales relacionados.

StacCollection

https://github.com/radiantearth/stac-spec/blob/v1.0.0/collection-spec/collection-spec.md

Representa una colección STAC.

Nombre Tipo Valor predeterminado Description
assets

<string,  StacAsset>

Activos

description

string

minLength: 1

Descripción detallada de la colección.

extent

StacExtensionExtent

Extensión espacial y temporal de la colección.

id

string

minLength: 1
maxLength: 500
pattern: .*

Identificador único para la colección.

item_assets

<string,  StacItemAsset>

Activos de objetos

Consulte la Especificación de Extensión de Definición de Activos de Elementos

keywords

string[]

Palabras clave que describen la colección.

license

string

minLength: 1

Identificador de licencia para los datos de la colección.

links

StacLink[]

Enlaces a recursos y puntos finales relacionados.

msft:_created

string (date-time)

Creación de MSFT

msft:_updated

string (date-time)

MSFT Actualizado

msft:short_description

string

maxLength: 300

Descripción breve de MSFT

providers

StacProvider[]

Organizaciones o individuos que proporcionan los datos recopilados.

stac_extensions

string[]

URLs de extensiones STAC implementadas por este recurso STAC.

stac_version

string

minLength: 1
1.0.0

Versión Stac

summaries

Summaries

Consulta la especificación de la colección STAC.

title

string

Título legible para humanos para la colección.

type

string

minLength: 1
Collection

Tipo

StacCollectionTemporalExtent

https://github.com/radiantearth/stac-spec/blob/v1.0.0/collection-spec/collection-spec.md#temporal-extent-object

Representa la extensión temporal de una colección STAC con intervalos de tiempo.

Nombre Tipo Description
interval

string[] (date-time)

Matriz de intervalos de tiempo en formato [[start_datetime, end_datetime]].

StacExtensionExtent

https://github.com/radiantearth/stac-spec/blob/v1.0.0/collection-spec/collection-spec.md#extent-object

Representa la extensión espacial y temporal de una colección STAC.

Nombre Tipo Description
spatial

StacExtensionSpatialExtent

Extensión espacial definida por cajas delimitadoras.

Consulta la especificación de la colección STAC.

temporal

StacCollectionTemporalExtent

Extensión temporal definida por intervalos de tiempo.

Consulta la especificación de la colección STAC.

StacExtensionSpatialExtent

https://github.com/radiantearth/stac-spec/blob/v1.0.0/collection-spec/collection-spec.md#spatial-extent-object

Representa la extensión espacial de una colección STAC con cajas delimitadoras.

Nombre Tipo Description
bbox

number[] (float)

Conjunto de cajas delimitadoras que definen la extensión espacial, en formato [[oeste, sur, este, norte]].

StacItemAsset

https://github.com/stac-extensions/item-assets

Representa un activo de artículo STAC, que describe los activos disponibles bajo cualquier elemento de la colección.

Nombre Tipo Description
constellation

string

Constelación de satélites que adquirieron los datos.

created

string (date-time)

Marca de tiempo de creación de los datos.

description

string

Descripción detallada del activo.

gsd

number (float)

Distancia de muestreo en el suelo en metros.

href

string

minLength: 1

URL del archivo de activos.

instruments

string[]

Instrumentos que adquirieron los datos.

mission

string

Misión asociada a los datos.

platform

string

Plataforma que adquirió los datos.

providers

StacProvider[]

Organizaciones o individuos que proporcionan los datos.

roles

string[]

Roles del activo dentro del objeto.

title

string

Título legible para humanos para el activo.

type

string

Tipo de medios del activo.

updated

string (date-time)

Última actualización y marca de tiempo de los datos.

Modelo de enlace.

Ref: http://schemas.opengis.net/ogcapi/features/part1/1.0/openapi/schemas/link.yaml

Representa un vínculo.

Nombre Tipo Valor predeterminado Description
body

En el caso de las solicitudes POST, el recurso puede especificar el cuerpo HTTP como un objeto JSON.

headers

object

Pares clave-valor de objeto que se asignan a encabezados. Ejemplo: { "Accept": "application/json" }.

href

string

La dirección URL del vínculo.

hreflang

string

El idioma del recurso vinculado.

length

integer (int32)

La longitud del recurso vinculado.

merge

boolean

False

Indica si se espera que el cliente combine el valor del cuerpo en el cuerpo de la solicitud actual antes de seguir el vínculo. Esto solo es válido cuando el servidor responde a una solicitud POST. Valor predeterminado: false.

method enum:
  • GET
  • POST
GET

Especifica el método HTTP que espera el recurso. Predeterminado: GET.

rel

string

El tipo de relación del vínculo.

title

string

El título del enlace.

type

StacLinkType

application/json

Tipo MIME del recurso vinculado.

StacLinkType

Tipos MIME para enlaces.

Valor Description
image/tiff; application=geotiff

Representa una imagen/tiff con application=geotiff.

image/jp2

Representa una imagen/jp2.

image/png

Representa una imagen/png.

image/jpeg

Representa una imagen/jpeg.

image/jpg

Representa una imagen/jpg.

image/webp

Representa una imagen/webp.

application/x-binary

Representa un binario application/x.

application/xml

Representa una aplicación/xml.

application/json

Representa una aplicación/json.

application/geo+json

Representa una aplicación/geo+json.

text/html

Representa un texto/html.

text/plain

Representa un texto/plano.

application/x-protobuf

Representa una aplicación/x-protobuf.

StacProvider

https://github.com/radiantearth/stac-spec/blob/v1.0.0/collection-spec/collection-spec.md#provider-object

Representa información sobre un proveedor de datos para colecciones y elementos STAC.

Nombre Tipo Description
description

string

Descripción del proveedor.

name

string

minLength: 1

Nombre del proveedor, organización o individuo.

roles

string[]

Roles desempeñados por el proveedor (por ejemplo, productor, procesador, anfitrión).

url

string

URL de la web del proveedor.